<?php

namespace App\Policies;

use App\Models\Block;
use App\Models\User;

class BlockPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasPermissionTo('view-any Block');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, Block $block): bool
    {
        return $user->hasPermissionTo('view Block');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create Block');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, Block $block): bool
    {
        return $user->hasPermissionTo('update Block');
        // return false;
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, Block $block): bool
    {
        return $user->hasPermissionTo('delete Block');
        // return false;
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, Block $block): bool
    {
        return $user->hasPermissionTo('restore Block');
        // return false;
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, Block $block): bool
    {
        return $user->hasPermissionTo('force delete Block');
        // return false;
    }
}
